Welcome to our new developer portal! Use the "Ask" button to chat with our AI Agent.
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Digital card API

Suspend

post
/issuers/{issuerId}/digitalCards/{digitalCardId}/operations:suspend

This request is used by the issuer backend to request the suspension of the digital card if the digital card is active. The result of this operation is synchronous from a TSP point of view (a successful response means that the digital card has been successfully suspended on the TSP itself) but does not guarantee that any update has occurred yet on the device, an optional notification will be sent on successful/unsuccessful completion of the operation on the wallet.

Authorizations
AuthorizationstringRequired

A JWT using the Bearer schema.\nThe server checks the validity of the provided token to control access to this protected resource.

Path parameters
issuerIdstring · min: 10 · max: 10Required

The id of the issuer

digitalCardIdstring · min: 1 · max: 64Required

The id of the digital card

Pattern: [A-Za-z0-9_-]{1,64}
Header parameters
x-correlation-idstring · min: 1 · max: 64Optional

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for purposes other than logging and troubleshooting.

Pattern: [a-zA-Z0-9_\-\. ]{1,64}
Body

The following object represent the account

reasonstringOptional

The reason why the action is performed.

Pattern: ^[a-zA-Z0-9 ]{1,64}$
reasonCodestring · enumOptional

The reason code why the action is performed.
If not provided , default reason code is ISSUER_DECISION

Possible values:
Responses
200

Successful card suspension request

application/json

Operation information.

operationIdstring · min: 1 · max: 64Optional

Unique identifier of the operation

Pattern: [A-Za-z0-9_-]{1,64}
statusstring · enumRequired

Status of the operation

Possible values:
post/issuers/{issuerId}/digitalCards/{digitalCardId}/operations:suspend

Resume

post
/issuers/{issuerId}/digitalCards/{digitalCardId}/operations:resume

This request is used by the issuer backend to request - the activation of the digital card if it has never been activated - the resumption of the digital card if the digital card is suspended The result of this operation is synchronous from a TSP point of view (a successful response means that the digital card has been successfully resumed on the TSP itself) but does not guarantee that any update has occurred yet on the device, an optional notification will be sent on successful/unsuccessful completion of the operation on the wallet.

Authorizations
AuthorizationstringRequired

A JWT using the Bearer schema.\nThe server checks the validity of the provided token to control access to this protected resource.

Path parameters
issuerIdstring · min: 10 · max: 10Required

The id of the issuer

digitalCardIdstring · min: 1 · max: 64Required

The id of the digital card

Pattern: [A-Za-z0-9_-]{1,64}
Header parameters
x-correlation-idstring · min: 1 · max: 64Optional

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for purposes other than logging and troubleshooting.

Pattern: [a-zA-Z0-9_\-\. ]{1,64}
Body

The following object represent the Digital Card Resume request payload

reasonstringOptional

The reason why the action is performed.

Pattern: ^[a-zA-Z0-9 ]{1,64}$
reasonCodestring · enumOptional

The reason code why the action is performed.
If not provided , default reason code is ISSUER_DECISION

Possible values:
Responses
200

Successful card resumption

application/json

Operation information.

operationIdstring · min: 1 · max: 64Optional

Unique identifier of the operation

Pattern: [A-Za-z0-9_-]{1,64}
statusstring · enumRequired

Status of the operation

Possible values:
post/issuers/{issuerId}/digitalCards/{digitalCardId}/operations:resume

Delete

post
/issuers/{issuerId}/digitalCards/{digitalCardId}/operations:delete

This request is used by the issuer backend to request the deletion of the digital card. The result of this operation is synchronous from a TSP point of view (a successful response means that digital card has been successfully deleted on the TSP itself) but does not guarantee that any update has occurred yet on the device, an optional notification will be sent on successful/unsuccessful completion of the operation on the wallet.

Authorizations
AuthorizationstringRequired

A JWT using the Bearer schema.\nThe server checks the validity of the provided token to control access to this protected resource.

Path parameters
issuerIdstring · min: 10 · max: 10Required

The id of the issuer

digitalCardIdstring · min: 1 · max: 64Required

The id of the digital card

Pattern: [A-Za-z0-9_-]{1,64}
Header parameters
x-correlation-idstring · min: 1 · max: 64Optional

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for purposes other than logging and troubleshooting.

Pattern: [a-zA-Z0-9_\-\. ]{1,64}
Body

The following object represent the account

reasonstringOptional

The reason why the action is performed.

Pattern: ^[a-zA-Z0-9 ]{1,64}$
reasonCodestring · enumOptional

The reason code why the action is performed.
If not provided , default reason code is ISSUER_DECISION

Possible values:
Responses
200

Successful card deletion request

application/json

Operation information.

operationIdstring · min: 1 · max: 64Optional

Unique identifier of the operation

Pattern: [A-Za-z0-9_-]{1,64}
statusstring · enumRequired

Status of the operation

Possible values:
post/issuers/{issuerId}/digitalCards/{digitalCardId}/operations:delete

Search

post
/issuers/{issuerId}/digitalCards:search

This request is used by the issuer backend to search for digital cards in D1 using a digital PAN as lookup and retrieve card & end user related details. For example this can be used to retrieve detailed information about the digital card.

Authorizations
AuthorizationstringRequired

A JWT using the Bearer schema.\nThe server checks the validity of the provided token to control access to this protected resource.

Path parameters
issuerIdstring · min: 10 · max: 10Required

The id of the issuer

Header parameters
x-correlation-idstring · min: 1 · max: 64Optional

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for purposes other than logging and troubleshooting.

Pattern: [a-zA-Z0-9_\-\. ]{1,64}
Body
encryptedDatastring · max: 8192Required

Ciphered digital PAN, this DPAN is encrypted using the JWE encryption (please refer to the Sensitive Information Encryption for more details)

Content

Once deciphered, the plaintext contains:

JSON field parameter nametypedescriptionMOCLength
panStringThe digital pan value.MUp to 19
Pattern: ^(?:[A-Za-z0-9+\/]{4})*(?:[A-Za-z0-9+\/]{2}==|[A-Za-z0-9+\/]{3}=)?$
searchTypestring · enumOptional

The search type

Possible values:
Responses
200

Search Result

application/json
post/issuers/{issuerId}/digitalCards:search

Get details

get
/issuers/{issuerId}/digitalCards/{digitalCardId}

This request provides detailed information about the digital card given its card identifier.

Authorizations
AuthorizationstringRequired

A JWT using the Bearer schema.\nThe server checks the validity of the provided token to control access to this protected resource.

Path parameters
issuerIdstring · min: 10 · max: 10Required

The id of the issuer

digitalCardIdstring · min: 1 · max: 64Required

The id of the digital card

Pattern: [A-Za-z0-9_-]{1,64}
Header parameters
x-correlation-idstring · min: 1 · max: 64Optional

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

Warning: This identifier should not be derived from sensitive personal data, as its value will be logged in clear.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for purposes other than logging and troubleshooting.

Pattern: [a-zA-Z0-9_\-\. ]{1,64}
Responses
200

OK

application/json

Provides information about the token. Note that this data is available only if the tokenization is successful or pending.

parentCardIdstring · min: 1 · max: 48Optional

Unique identifier of the card.

Pattern: [A-Za-z0-9_-]{1,48}
digitalCardIdstring · min: 1 · max: 64Required

Unique identifier of the token specified by the TSP

panSuffixstring · min: 4 · max: 4Required

Last four digits of the token

statestring · enumRequired

The state of the digital card (token)

N.B. Tokens in DELETED state are included only if the corresponding issuer onboarding flag (i.e. manageDeletedToken) is set.

Example: ACTIVEPossible values:
typestring · max: 16Optional

The type of the token. Following values are supported:

  • SE
  • HCE
  • COF
  • ECOM
  • QRC
schemeCardIdstring · min: 1 · max: 128Read-onlyOptional

The card identifier provided by the scheme for a given token requestor. Always present for Visa and Mastercard. When token requestor is ApplePay, it corresponds to the FPANID. Each stakeholder uses a different term to identify this entity; for the sake of clarify a summary table is reported below:

VTSMDESApple Pay
panReferenceIDpanUniqueReferenceFPANID
deviceBindingListstring[]Optional

List of all devices bound to this token. A device is represented by its binding reference.

provisioningTimestring · max: 32Optional

The provisioning time of the token. Format ISO 8601 YYYY-MM-DDThh:mm:ssTZD

lastReplenishTimestring · max: 32Optional

The last time the token keys have been replenished. Format ISO 8601 YYYY-MM-DDThh:mm:ssTZD

lastStateChangeTimestring · max: 32Optional

The last time the token status has been changed. Format ISO 8601 YYYY-MM-DDThh:mm:ssTZD

isPrimarybooleanOptional

Boolean Flag indicating whether the token is primary or auxiliary.

get/issuers/{issuerId}/digitalCards/{digitalCardId}

Get credentials

get
/issuers/{issuerId}/digitalCards/{digitalCardId}/credentials

This request is used by D1 to provide details about the token credentials of a digital card (that is, PAN, expiry date) given the card identifier.

Note

The issuer system must be configured with the correct applicative encryption key in order to use this API.

Authorizations
AuthorizationstringRequired

A JWT using the Bearer schema.\nThe server checks the validity of the provided token to control access to this protected resource.

Path parameters
issuerIdstring · min: 10 · max: 10Required

The id of the issuer

digitalCardIdstring · min: 1 · max: 64Required

The id of the digital card

Pattern: [A-Za-z0-9_-]{1,64}
Header parameters
x-correlation-idstring · min: 1 · max: 64Optional

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for purposes other than logging and troubleshooting.

Pattern: [a-zA-Z0-9_\-\. ]{1,64}
Responses
200

OK

application/json
credentialsstring · min: 1 · max: 8196Optional

The field is the json (cf http://www.json.org/ ) representation of the DIGITAL card. JWE encryption is used to secure the field (please refer to the Sensitive Information Encryption for more details) Details:

{

"pan":"...",

"exp":"..."

}

The PAN is Mandatory, up to 19 digits.

The expiry date in the format MMYY. It is not provided for UPI scheme.

get/issuers/{issuerId}/digitalCards/{digitalCardId}/credentials

Get operation

get
/issuers/{issuerId}/digitalCards/{digitalCardId}/operations/{operationId}

Retrieves the information related to an operation for a digital card.

Operations older than 3 months are removed.

Authorizations
AuthorizationstringRequired

A JWT using the Bearer schema.\nThe server checks the validity of the provided token to control access to this protected resource.

Path parameters
issuerIdstring · min: 10 · max: 10Required

The id of the issuer

operationIdstring · min: 1 · max: 64Required

Unique identifier of the operation

Pattern: [A-Za-z0-9_-]{1,64}
digitalCardIdstring · min: 1 · max: 64Required

The id of the digital card

Pattern: [A-Za-z0-9_-]{1,64}
Header parameters
x-correlation-idstring · min: 1 · max: 64Optional

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

Warning: This identifier should not be derived from sensitive personal data, as its value will be logged in clear.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for purposes other than logging and troubleshooting.

Pattern: [a-zA-Z0-9_\-\. ]{1,64}
Responses
200

OK

application/json

Operation details related to a specific operationId

operationIdstring · min: 1 · max: 64Required

Unique identifier of the operation

Pattern: [A-Za-z0-9_-]{1,64}
operationstring · enumRequired

The lifecycle operation name performed on the target digital card.
A digital card can be activated(i.e. resumed), suspended, deleted from the wallet application or CCI portal; it can also be renewed when expired by the TSP and updated after a card update/renewal operation (concerning a PAN and/or expiry date update).
Note: DELETE_FROM_APP is only applicable for Mastercard digital cards in case of deletion from wallet application.

Possible values:
statusstring · enumRequired

Status of the operation

Possible values:
startTimestring · min: 1 · max: 64Required

The time the request has been processed. Format ISO 8601 YYYY-MM-DDThh:mm:ssTZD

endTimestring · min: 1 · max: 64Optional

The time the request has been processed. Format ISO 8601 YYYY-MM-DDThh:mm:ssTZD

requestorIdstringRequired

Identifier of the user/entity initiating the operation

- [consumerId if USER] 
- [issuerId if ISSUER] 
- [cci user id if CCI] 
- ["VTS"/"MDES" if TSP]
requestorTypestring · enumRequiredPossible values:
reasonstringOptional
reasonCodestring · enumOptionalPossible values:
detailsone ofOptional
or
anyOptional

Container to hold detailed information of other Digital Card operation

errorstringOptional

Human readable string representing the error, only present in case of operation failure

get/issuers/{issuerId}/digitalCards/{digitalCardId}/operations/{operationId}

Get all operations

get
/issuers/{issuerId}/digitalCards/{digitalCardId}/operations

Retrieves all the operations related to a digital card.

The API specifies the starting point (offset) and the number of operations (limit) to be retrieved. Offset 0 (the default) corresponds to the most recent operation. For example a limit of 5 and an offset of 2 would return the five most recent operations before the most recent two”.

If no operations are available for the given digitalCardId, an empty list is returned.

Operations older than 3 months are removed.

Authorizations
AuthorizationstringRequired

A JWT using the Bearer schema.\nThe server checks the validity of the provided token to control access to this protected resource.

Path parameters
issuerIdstring · min: 10 · max: 10Required

The id of the issuer

digitalCardIdstring · min: 1 · max: 64Required

The id of the digital card

Pattern: [A-Za-z0-9_-]{1,64}
Query parameters
offsetinteger · max: 100Optional

Index from which the query starts returning operations – offset 0 (the default) corresponds to the most recent operation.

limitinteger · min: 1 · max: 50Optional

Number of operations to be returned

Default: 10
Header parameters
x-correlation-idstring · min: 1 · max: 64Optional

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

Warning: This identifier should not be derived from sensitive personal data, as its value will be logged in clear.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for purposes other than logging and troubleshooting.

Pattern: [a-zA-Z0-9_\-\. ]{1,64}
Responses
200

OK

application/json
remainingOperationsintegerOptional
get/issuers/{issuerId}/digitalCards/{digitalCardId}/operations

StepUp Auth Result

post
/issuers/{issuerId}/digitalCards/{digitalCardId}/operations:stepupAuthenticationResult

This request is used by the Issuer backend to approve a stepup authentication request (Device Binding/Cardholder Verification).

Authorizations
AuthorizationstringRequired

A JWT using the Bearer schema.\nThe server checks the validity of the provided token to control access to this protected resource.

Path parameters
issuerIdstring · min: 10 · max: 10Required

The id of the issuer

digitalCardIdstring · min: 1 · max: 64Required

The id of the digital card

Pattern: [A-Za-z0-9_-]{1,64}
Header parameters
x-correlation-idstring · min: 1 · max: 64Optional

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for purposes other than logging and troubleshooting.

Pattern: [a-zA-Z0-9_\-\. ]{1,64}
Body

Step-Up Authentication Result request

authenticationIdinteger · max: 999999999999999Required

this will be the "lifeCycleTraceId" for Visa or the "authenticationCorrelationId" for Mastercard

Responses
200

Successful Step-up authentication

application/json

Operation result information.

operationIdstring · min: 1 · max: 64Optional

Unique identifier of the operation

Pattern: [A-Za-z0-9_-]{1,64}
statusstring · enumOptional

Status of the operation

Possible values:
post/issuers/{issuerId}/digitalCards/{digitalCardId}/operations:stepupAuthenticationResult

Unbind

post
/issuers/{issuerId}/digitalCards/{digitalCardId}/operations:unbind

This request is used by the Issuer backend to unbind a device from a digital card.

Authorizations
AuthorizationstringRequired

A JWT using the Bearer schema.\nThe server checks the validity of the provided token to control access to this protected resource.

Path parameters
issuerIdstring · min: 10 · max: 10Required

The id of the issuer

digitalCardIdstring · min: 1 · max: 64Required

The id of the digital card

Pattern: [A-Za-z0-9_-]{1,64}
Header parameters
x-correlation-idstring · min: 1 · max: 64Optional

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for purposes other than logging and troubleshooting.

Pattern: [a-zA-Z0-9_\-\. ]{1,64}
Body

Unbind request

deviceReferencestring · min: 1 · max: 2Required

Corresponds to Visa device index.

Pattern: ^[0-9]{1,2}$
reasonstringOptional

Free text field providing additional info on the reason why the action is performed.

Pattern: ^[a-zA-Z0-9]{1,64}$
reasonCodestring · enumOptional

The reason code why the action is performed.
If not provided , default reason code is ISSUER_DECISION

Possible values:
Responses
200

Successful device binding removal

application/json

Operation result information.

operationIdstring · min: 1 · max: 64Optional

Unique identifier of the operation

Pattern: [A-Za-z0-9_-]{1,64}
statusstring · enumOptional

Status of the operation

Possible values:
post/issuers/{issuerId}/digitalCards/{digitalCardId}/operations:unbind

Last updated

Was this helpful?